boost::geometry::strategy::distance::cross_track< CalculationType, Strategy > Class Template Reference
strategies: strategies

Strategy functor for distance point to segment calculation. More...

List of all members.

## Classes

struct | return_type

## Public Types

typedef Strategy::radius_type | radius_type

## Public Member Functions

template<typename Point , typename PointOfSegment >
return_type< Point, PointOfSegment >::type | apply (Point const &p, PointOfSegment const &sp1, PointOfSegment const &sp2) const
| cross_track ()
| cross_track (typename Strategy::radius_type const &r)
| cross_track (Strategy const &s)
Strategy::radius_type | radius () const

## Detailed Description

### template<typename CalculationType = void, typename Strategy = haversine<double, CalculationType>>
class boost::geometry::strategy::distance::cross_track< CalculationType, Strategy >

Strategy functor for distance point to segment calculation.

Class which calculates the distance of a point to a segment, for points on a sphere or globe

See also:
  http://williams.best.vwh.net/avform.htm

Template Parameters:

  CalculationType | numeric type for calculation (e.g. high precision); if [*void] then it is extracted automatically from the coordinate type and (if necessary) promoted to floating point
  Strategy | underlying point-point distance strategy, defaults to haversine

## Member Typedef Documentation

template<typename CalculationType = void, typename Strategy = haversine<double, CalculationType>>

typedef Strategy::radius_type boost::geometry::strategy::distance::cross_track< CalculationType, Strategy >::radius_type

## Constructor & Destructor Documentation

template<typename CalculationType = void, typename Strategy = haversine<double, CalculationType>>

boost::geometry::strategy::distance::cross_track< CalculationType, Strategy >::cross_track | ( |  | ) |

template<typename CalculationType = void, typename Strategy = haversine<double, CalculationType>>

boost::geometry::strategy::distance::cross_track< CalculationType, Strategy >::cross_track | ( | typename Strategy::radius_type const & | r | ) | `[explicit]`

template<typename CalculationType = void, typename Strategy = haversine<double, CalculationType>>

boost::geometry::strategy::distance::cross_track< CalculationType, Strategy >::cross_track | ( | Strategy const & | s | ) |

## Member Function Documentation

template<typename CalculationType = void, typename Strategy = haversine<double, CalculationType>>
template<typename Point , typename PointOfSegment >

return_type<Point, PointOfSegment>::type boost::geometry::strategy::distance::cross_track< CalculationType, Strategy >::apply | ( | Point const & | p,
|  | PointOfSegment const & | sp1,
|  | PointOfSegment const & | sp2
| ) |  | const

template<typename CalculationType = void, typename Strategy = haversine<double, CalculationType>>

Strategy::radius_type boost::geometry::strategy::distance::cross_track< CalculationType, Strategy >::radius | ( |  | ) | const

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK